diff --git a/ompi/mpi/c/wtick.c b/ompi/mpi/c/wtick.c
index 9f4795f192c..f23f701407a 100644
--- a/ompi/mpi/c/wtick.c
+++ b/ompi/mpi/c/wtick.c
@@ -9,7 +9,7 @@
  *                         University of Stuttgart.  All rights reserved.
  * Copyright (c) 2004-2005 The Regents of the University of California.
  *                         All rights reserved.
- * Copyright (c) 2007-2014 Cisco Systems, Inc.  All rights reserved.
+ * Copyright (c) 2007-2017 Cisco Systems, Inc.  All rights reserved
  * Copyright (c) 2015-2016 Research Organization for Information Science
  *                         and Technology (RIST). All rights reserved.
  * $COPYRIGHT$
@@ -40,7 +40,12 @@ double MPI_Wtick(void)
 {
     OPAL_CR_NOOP_PROGRESS();
 
-#if OPAL_TIMER_CYCLE_NATIVE
+    // Due to https://github.com/open-mpi/ompi/issues/3003, don't use
+    // the native cycles (at least for now).  And due to
+    // https://github.com/Homebrew/homebrew-core/pull/6551 (and
+    // https://github.com/ofiwg/libfabric/pull/2508), don't fall back
+    // to clock_gettime().  Just fall back to gettimeofday() for now.
+#if OPAL_TIMER_CYCLE_NATIVE && 0
     {
         opal_timer_t freq = opal_timer_base_get_freq();
         if (0 == freq) {
@@ -50,7 +55,7 @@ double MPI_Wtick(void)
         }
         return (double)1.0 / (double)freq;
     }
-#elif OPAL_TIMER_USEC_NATIVE
+#elif OPAL_TIMER_USEC_NATIVE && 0
     return 0.000001;
 #else
     /* Otherwise, we already return usec precision. */
diff --git a/ompi/mpi/c/wtime.c b/ompi/mpi/c/wtime.c
index fa62c985c71..db7b7a3419f 100644
--- a/ompi/mpi/c/wtime.c
+++ b/ompi/mpi/c/wtime.c
@@ -9,7 +9,7 @@
  *                         University of Stuttgart.  All rights reserved.
  * Copyright (c) 2004-2005 The Regents of the University of California.
  *                         All rights reserved.
- * Copyright (c) 2006-2014 Cisco Systems, Inc.  All rights reserved.
+ * Copyright (c) 2006-2017 Cisco Systems, Inc.  All rights reserved
  * Copyright (c) 2015      Research Organization for Information Science
  *                         and Technology (RIST). All rights reserved.
  * $COPYRIGHT$
@@ -40,9 +40,14 @@ double MPI_Wtime(void)
 {
     double wtime;
 
-#if OPAL_TIMER_CYCLE_NATIVE
+    // Due to https://github.com/open-mpi/ompi/issues/3003, don't use
+    // the native cycles (at least for now).  And due to
+    // https://github.com/Homebrew/homebrew-core/pull/6551 (and
+    // https://github.com/ofiwg/libfabric/pull/2508), don't fall back
+    // to clock_gettime().  Just fall back to gettimeofday() for now.
+#if OPAL_TIMER_CYCLE_NATIVE && 0
     wtime = ((double) opal_timer_base_get_cycles()) / opal_timer_base_get_freq();
-#elif OPAL_TIMER_USEC_NATIVE
+#elif OPAL_TIMER_USEC_NATIVE && 0
     wtime = ((double) opal_timer_base_get_usec()) / 1000000.0;
 #else
     /* Fall back to gettimeofday() if we have nothing else */
